Description

ReplayGain metadata in MP3s is currently not recognized by Audacious.

History

#1 - June 15, 2021 21:31 - John Lindgren

- Tracker changed from Feature to Support

ReplayGain certainly is supported for MP3 -- I use it just about every day.

Please attach an example of an MP3 file that isn't working for you.

#2 - June 16, 2021 02:44 - Damian Höster

John Lindgren wrote:

ReplayGain certainly is supported for MP3 -- I use it just about every day.

Please attach an example of an MP3 file that isn't working for you.

 

Yes, you are correct. I was wrong. Both track and album ReplayGain is completely supported for MP3 by Audacious.

Problem was probably that SoundKonverter only added per-track ReplayGain metadata for MP3, which I didn't expect. So, not an Audacious issue.

#3 - June 16, 2021 13:33 - John Lindgren

- Status changed from New to Closed

Okay. Glad you found the issue. I'll go ahead and close this.

#4 - June 22, 2021 01:53 - Damian Höster

There actually is a serious problem with ReplayGain metadata in MP3:

APE ReplayGain metadata in MP3 is not recognized by Audacious if any ID3 tags are present.
This is a big problem because

1. The vast majority MP3 files contain ID3 metadata and

2. Mp3gain writes APE ReplayGain metadata by default, and so does SoundKonverter.

I only could not reproduce the problem in my test because I removed all metadata from the file before reapplying ReplayGain.

#5 - June 30, 2021 13:48 - Damian Höster

Opened a new ticket for this, bug #1115
